
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>让你提前认识软件开发(39)：软件研发之殇 / iVAN</title>

    <meta name="description" content="让你提前认识软件开发(39)：软件研发之殇 第3部分 软件研发工作总结 软件研发之殇           在经典著作&lt;人月神话&gt;中,作者提出了一个观点:绝大部分的软件研发项目都不能按期完成.我工作也有一段时间了,发现这确实是一个不争的事实.我所从事的项目中,能按期按质完成的还真的很少.这是什么原因呢?我工作不够努力吗?非也.为了完成任务,我也是经常加班加点地工作,生怕惹恼了上司而饭碗不保.         软件研发是一个系统的工程,是由很多环节组成的.你一个人把自己那部分工作做好了,还不足以保证整个系统能正常运转.在本文中,我 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">让你提前认识软件开发(39)：软件研发之殇</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>第3部分 软件研发工作总结</strong></p>
<p><strong>软件研发之殇</strong></p>
<p> </p>
<p>        在经典著作《<strong>人月神话</strong>》中，作者提出了一个观点：<strong>绝大部分的软件研发项目都不能按期完成</strong>。我工作也有一段时间了，发现这确实是一个不争的事实。我所从事的项目中，能按期按质完成的还真的很少。这是什么原因呢？我工作不够努力吗？非也。为了完成任务，我也是经常加班加点地工作，生怕惹恼了上司而饭碗不保。</p>
<p>        软件研发是一个系统的工程，是由很多环节组成的。你一个人把自己那部分工作做好了，还不足以保证整个系统能正常运转。在本文中，我按照软件的生命周期(如下图所示)来分析软件研发的各个阶段会出现的问题，供大家参考。</p>
<p><img src="/assets/blank.gif" data-echo="http://img.blog.csdn.net/20140723200106109?watermark/2/text/aHR0cDovL2Jsb2cuY3Nkbi5uZXQvemhvdXpoYW94aW9uZzEyMjc=/font/5a6L5L2T/fontsize/400/fill/I0JBQkFCMA==/dissolve/70/gravity/SouthEast"></p>
<p> </p>
<p><strong>        第一，概念阶段。</strong></p>
<p>        在这个阶段，主要是售前人员(也可能有其他称呼)与局方(也就是客户)谈合同，弄清楚他们到底需要一个什么样的东西，并反馈给系统工程师(System Engineer，简称SE)，SE再写成需求说明书给软件开发人员。</p>
<p>        软件研发项目出现的问题，很大部分要归咎于这个阶段。问题越是发现得早，解决起来就越是容易。而这个阶段中一个小的问题，在后期也会被放得很大。</p>
<p>        这个阶段出现的问题主要有以下几个：</p>
<p>        (1) <strong>售前人员为了“讨好”局方，签了一些令人“匪夷所思”的合同</strong>。社会竞争越发的激烈，在信息技术领域尤其如此。在众多公司的竞标中，能够签到合同实属不易。为了签到合同(同时满足公司考核指标)，售前人员总是在客户面前拍胸脯，不惜以各种承诺、豪言壮语换回那利润已经薄得很可怜的合同。在这些合同中，有很多是有待考究的，需要反复思量的。可大部分售前人员都不懂技术，签完合同之后就“领赏”去了，这就害苦了开发人员，也影响了产品研发的进度和质量。</p>
<p>        (2) <strong>局方人员高高在上，经常将自己的想法变来变去</strong>。就像现在雇主招聘应届生一样，局方(也就是所谓的甲方)在众多的公司(俗称乙方)中进行选择，不仅将合同的金额压得很低，还隔三岔五地将售前人员叫过去，让他们修改需求说明书。说得不好听，这是不诚信的表现。每当这个时候，总会有人冒出一句：“谁让人家是甲方呢？”</p>
<p>        (3) <strong>系统工程师(SE)没有将需求写清楚，没有表达出局方人员的意思</strong>。每个人对事物的看法不同，写出来的东西就会有所不同，更何况从局方人员到售前人员，再到SE，中间已经转了好几次，出现表达的差错也是在所难免的。而SE有时又比较的“懒”，不想与局方人员进行深入的交流，认为自己已经明白意思了，这也导致后期软件功能不合局方之意，又要推倒重来。</p>
<p>        我们经常说，要将坏的事物扼杀在萌芽状态。在概念阶段，也就是软件雏形的形成阶段，一定要将软件的功能搞清楚，这样也省去了后期的很多不便与折腾。</p>
<p> </p>
<p><strong>        第二，计划阶段。</strong></p>
<p>        在此阶段，主要是根据需求说明书来进行软件的详细设计，确定程序的执行流程及相关功能模块。这也是软件开发工程师要干的事情。</p>
<p>        在这个阶段，可能出现的问题如下：</p>
<p>        (1) <strong>软件详细设计完成之后，不经评审就马上开始编码</strong>。公司有规定，详细设计要经过评审之后才能启动开发。而很多时候，为了赶进度(我个人比较讨厌“赶进度”这三个字)，这个环节也省去了，直接导致开发人员按照个人想法来设计软件，出现了理解上的偏差，最终导致客户验收不通过。为了保证软件的正确性，一定不要吝啬那么一点点时间，要请有经验的同事来评审自己的详细设计。所谓的“磨刀不误砍柴工”，也就是这个道理。</p>
<p>        (2) <strong>软件开发人员为了应付评审，写出了详细的程序流程，可启动开发之后，偏离了之前的想法</strong>。这在研发过程中也是经常出现的。当我们照着软件详细设计阅读代码的时候，发现程序流程与文档中的流程图不相符，而且有时偏差还比较大。这就是开发人员个人素质的问题了。在编码的过程中，一定要尽量忠于自己的详细设计，而在确实需要修改的时候，要同步更新详细设计文档。</p>
<p>        在很多项目中，设计阶段往往与开发阶段合二为一，一边开发，一边设计。我个人认为这是不恰当的，一定要对程序流程有全面的了解之后再开始编码。</p>
<p> </p>
<p><strong>        第三，开发阶段。</strong></p>
<p>        开发阶段，就是将想法用程序来实现的阶段，也称为编码阶段。这个阶段的重要性不言而喻，问题出得最多的也是这个阶段。</p>
<p>        只要是参加过软件开发的人，都会知道这个的阶段的问题会出在哪里。我总结了一下，应该有以下方面：</p>
<p>        (1) <strong>不按公司的编程规范来办事，编写出只有自己才能读懂的代码</strong>。这是最令人头疼的事情。当我们打开前面一个开发人员编写的程序文件，一眼就能够看出其专业素质和态度。在我阅读过的程序中，真正符合编程规范的极少，大部分都存在这些问题：<strong>无注释、变量和函数命名不规范、程序逻辑混乱、程序版式不工整</strong>等。在前面的文章中，我对这方面的内容也做了详细的说明。总之，不管怎样，规范是必不可少的，尽量不要破坏“游戏规则”。</p>
<p>        (2) <strong>不用最简洁的方式来编程，故意卖弄自己的水平</strong>。很多开发人员水平比较高，他们喜欢用一般人不知道的方法来写代码，以表现自己的能力。但他们忘了，我们是要用代码来实现产品的功能，而不是来展现自己的水平有多高(展现的地方是网上的各种编程大赛)。当你的后任来读到令人费解的代码时，他们绝对不会赞美你的水平有多高，而会在心里骂你。在很多著作中，都对这方面的内容进行了阐述，一个中心思想就是：<strong>我们要用最简单、最通俗易懂的方法来编写程序</strong>。</p>
<p>        (3) <strong>不注重对程序进行自测，以为测试就只是测试工程师的事情</strong>。在很多开发人员的观念里，自己只管把代码写好就行了，剩下的测试任务有专门的人来完成。现在，大公司都在强调产品质量，强调对产品进行充分的测试。对于开发人员，要求则是要自测充分，尽量保证提交到测试部的程序是零差错的。也许有很多人看不起搞测试的，也不想自己找自己的问题(测试就是要找出问题)，但这并不是喜不喜欢的问题，是职业素质对我们的要求。</p>
<p>        以上三点几乎是开发人员的通病，也是提高软件质量的最大障碍。</p>
<p> </p>
<p><strong>        第四，验证阶段。</strong></p>
<p>        验证阶段，也可以叫做测试阶段，主要是由软件测试工程师来对开发工程师编写的程序进行测试，以保证软件质量。测试方式分为白盒测试和黑盒测试两种，大部分到软件公司实习过的人应该都知道。</p>
<p>        本来，测试人员和开发人员应当是“亲如兄弟”，大家合力来共同保证产品质量，而现在的情况却相反，开发部和测试部有时是“苦大仇深”，互不往来。开发的看不起测试的，认为那个没有什么技术含量；而测试的也以找到开发漏洞为荣，很多项目甚至设定了指标，每个月要提多少故障单(提单就是发现了开发问题)，搞得开发人员是心神不宁，很是反感。</p>
<p>        如何解决这个问题呢？首先，<strong>公司的考核机制要变，不能以什么提单数量来考核员工</strong>；其次，<strong>开发人员和测试人员要多沟通交流</strong>，不要“老死不相往来”；再次，<strong>要以交付出高质量的产品为共同目标</strong>，而不是整天以“抓小辫子”为乐。</p>
<p>        当然，我上面的表达可能有不当的地方，但多多少少说明了一个事实：<strong>开发和测试应合作多于对立</strong>。</p>
<p> </p>
<p><strong>        第五，发布阶段。</strong></p>
<p>        测试完成之后，就应当将产品交付给客户，请他们来验收。在这个时候，最怕的就是他们当场变脸，说产品功能不满足他们的要求。这种情况还经常出现，导致很多项目出现严重的亏顺。</p>
<p>        为了避免此类事情的发生，在软件的开发阶段，相关负责人(特别是SE)一定要起到协调沟通的作用，将已实现的功能让客户知道，请他们确认这是否是他们想要的。可以看出，交流沟通在哪里都很重要。</p>
<p> </p>
<p><strong>        第六，运营维护阶段。</strong></p>
<p>        产品商用之后，公司还要对之进行维护，出现了问题要及时修补更正。一般说来，只要产品测试验证得比较充分，出现问题的几率还是比较小的。怕的就是客户脑袋发热，一会儿想出这个，一会儿又想出那个，这样开发和测试人员又要忙碌起来了。</p>
<p> </p>
<p>        如上所述，软件研发是一个复杂的系统，只有系统的每一部分都正常运转，整个系统才能够一切正常。一旦某个环节出了问题，那么系统就犹如漏水的轮船，如不及时修补，终将沉入大海。</p>
<p>        都说IT从业人员很累，不管是做技术的，还是搞销售的。确实是这样，只要产品有一个小小的问题，那么上面所说的六个阶段又要重新走一遍，能不累吗？</p>
<p> </p>
<p>        本文以作者的工作经验为基础，结合个人的感悟，表达了对软件研发项目的一点看法。不当之处，还请各位批评指正。总之，纵使夜晚多么的黑暗，明天太阳还是会照常升起。工作主要是看心态如何，你觉得呢？</p>
<p> </p>
<p> </p>
<p>(本人微博：<a href="http://weibo.com/zhouzxi?topnav=1&amp;wvr=5" rel="external nofollow noreferrer">http://weibo.com/zhouzxi?topnav=1&amp;wvr=5</a>，微信号：245924426，欢迎关注！)</p>
<p> </p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-30 09:38:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%b5%8b%e8%af%95/" title="测试">测试</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e7%a8%8b/" title="编程">编程</a>, <a href="https://www.iamivan.net/tag/%e8%bd%af%e4%bb%b6%e5%bc%80%e5%8f%91/" title="软件开发">软件开发</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>让你提前认识软件开发(39)：软件研发之殇的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlR24Vz.html" rel="bookmark">提前认识软件开发&lpar;1&rpar; 序言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				序言 正式踏上软件开发岗位已经将近两年了,经历了很多,也学到了很多.&quot;万事开头难&quot;,学生转变为职业人的过程,恰似茧化成蝶的过程. 1.为什么要写作本系列? 在工作的过程中,我发现我们在学校里面学到的很多东西片面肤浅,根本达不到岗位的要求.像编码规范.研发流程等等学校里几乎不提及的知识,在实际的软件开发项目中却恰恰是异常的重要. 在学校里面,我们欠缺的教育主要包括以下方面: 第一,对编码规范的要求.计算机编程课上,老师只要求学生能够编写程序实现既定的功能即可,几乎不会对编码规范提出要求,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqA4RaM.html" rel="bookmark">让你提前认识软件开发&lpar;1&rpar;：序言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				序言           正式踏上软件开发岗位已经将近两年了,经历了很多,也学到了很多.&quot;万事开头难&quot;,学生转变为职业人的过程,恰似茧化成蝶的过程.          1.为什么要写作本系列?        在工作的过程中,我发现我们在学校里面学到的很多东西片面肤浅,根本达不到岗位的要求.像编码规范.研发流程等等学校里几乎不提及的知识,在实际的软件开发项目中却恰恰是异常的重要.        在学校里面,我们欠缺的教育主要包括以下方面:        第一,对编码规范的要求.计算机编程			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bodN4dM.html" rel="bookmark">让你提前认识软件开发&lpar;47&rpar;：同行评审</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/bodN4dM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA4MTcyMDU2MzgxOTg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW1odmRYcG9ZVzk0YVc5dVp6RXlNamM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
						<div class="summary">
				第3部分 软件研发工作总结 同行评审            在&lt;浪潮之巅&gt;这本书中,吴军老师描述了在Google早期的工作方式,其中有一段是这么写的:我一般会在吃完晚饭后把代码修改的清单发给克雷格做代码审核,他一般晚上10点左右会回复我,给我修改意见,详细到某一行多了一个空格.         吴军老师所描述的内容,其实就是软件开发中的同行评审流程.         几乎在所有的软件项目中,都需要同行评审.一个人不管能力多强,看问题的角度总会受到限制,写出来的程序和文档等定不会是十全十美的.如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/rz4Y81b.html" rel="bookmark">提前认识软件开发&lpar;2&rpar; 软件开发工程师常用的工具软件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				有一次,我打开电视机准备随便看看,无意中被一部战争片吸引住了.成千上万的共产党战士搭起云梯,想攻破一座城池.但是城楼上面的敌人负隅顽抗,拼了命地阻击我军的进攻.双方的伤亡都很惨重,但城就是攻不下来.眼看我军剩下的人不多了,突然不知从什么地方开出一辆坦克,两炮就把城门轰开了.我军趁势攻入城中,将敌人全部歼灭了. 这类电视剧比较常见,相信大家看了不止一次.但是,我看完之后,那个场景还一直留在我的脑海里.成千上万的人不如一辆坦克来得直接,说明了什么问题呢?我立马想到了一句古诗:工欲善其事,必先利其器.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbE1J6b.html" rel="bookmark">提前认识软件开发&lpar;33&rpar; 数据操纵语言&lpar;DML&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				数据操纵语言(Data Manipulation Language,DML)包括insert.delete和update语句,用于增.删.改数据. 本文用以下的表tb_employeeinfo作为例子加以说明: create table tb_employeeinfo ( employeeno varchar(20) not null, -- 员工工号 employeename varchar(20) not null, -- 员工姓名 employeeage int null -- 员工年龄			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPNYvDb.html" rel="bookmark">提前认识软件开发&lpar;16&rpar; 如何对程序进行优化</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				对程序进行优化,是软件开发工程师必然会涉及到的问题.那么为什么要对程序进行优化呢?原因有以下几个: 第一,在原程序基础之上新增.删除或修改了功能,需要改变原程序流程.客户需求随时可能会变化,今天已经实现的功能,说不定明天就要修改或去掉.落实到程序上面,就需要我们随时准备对写好的代码进行修改,而不要奢望写好之后就永远不要动了. 第二,原程序有bug.这类情况出现得非常的频繁,很多软件有1.0.2.0.3.0等版本,部分原因就是前面版本中程序有问题,在修改程序的过程中使得软件版本不断升级. 第三,原			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0WkEAb.html" rel="bookmark">让你提前认识软件开发&lpar;40&rpar;：既要写好代码，又要写好文档</a>
			</h2>
		</header>
		<article class="clearfix">
									<a href="https://www.iamivan.net/a/M0WkEAb.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDA3MjcyMDU2NDg5Nzg/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2ZW1odmRYcG9ZVzk0YVc5dVp6RXlNamM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
						<div class="summary">
				第3部分 软件研发工作总结 既要写好代码,又要写好文档           对于软件相关行业,在学校或单位上,大家也许都已经注意到了,除了要编写的程序.绘制设计图之外,还有一个重要的工作便是写文档.为什么要写文档呢?因为我们要把自己做的东西展示出来,不光展示给同行看,可能还要展示给其他岗位上的工作人员看,甚至展示给用户看.如果我们只是会写程序,不会在文档中描述自己的想法,那么就真正的成为&quot;码农&quot;了.         工作也有一段时间了,我发现周围的同事,会写高质量文档的确实很少.李开复			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKk6o7b.html" rel="bookmark">让你提前认识软件开发&lpar;38&rpar;：完成第一个新需求</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第3部分 软件研发工作总结 完成第一个新需求           在入职后不久,我得到了第一个新任务:完成某个版本的一个新需求.所谓的&quot;需求&quot;,就是用文档的形式告诉我们要做什么,要实现什么功能.         在得到需求文档之后,我仔仔细细地阅读了好几遍,发现有些地方自己并不是很明白.如果在自己都不是很确定的情况下修改代码,其后果是很严重的,项目经理曾经这样告诫我.我把自己的疑惑以邮件的形式发给了SE(系统工程师),让他把需求讲明白.在我们公司,SE负责写需求,他们要把用户想要实现的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYj7G5p.html" rel="bookmark">让你提前认识软件开发&lpar;46&rpar;：首先是为人编写程序，其次才是计算机</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第3部分 软件研发工作总结 首先是为人编写程序,其次才是计算机          &quot;首先是为人编写程序,其次才是计算机&quot;,这是软件开发的基本要点,软件的生命周期贯穿于产品的开发.测试.生产.发布.用户使用.版本升级和后期维护等长期过程中,只有易读.易维护的软件代码才具有生命力.         在实际的软件开发过程中,可能是由于工作很忙的原因,很多开发人员只注重实现程序的基本功能,而忘记了编程规范,因此写出来的代码只能让计算机看懂,人要看懂很不容易.更有甚者,有些项目组为了赶进度,明确			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9ze6m0b.html" rel="bookmark" class="title">如何在服务器上虚拟化多个windows供实验室同学们使用？</a>
					<div>
						问题描述 如何在服务器上虚拟化多个windows供实验室同学们使用? 实验室现有一台比较空闲的IBM x3850 X5服务器,而实验室同学大多电脑性能较差,不堪使用.能不能用虚拟化技术或者Window ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1Mv77ap.html" rel="bookmark" class="title">JS事件调试 - 查找HTML元素绑定的事件以及绑定代码所在位置</a>
					<div>
						日常的网页开发调试工作中,经常需要知道指定的某个网页元素绑定了哪些事件以及绑定代码的位置,下面介绍三种用来跟踪页面中的事件的方法. 1.使用firefox调试 我们可以使用firefox的debug工 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdjrNb.html" rel="bookmark" class="title">Microsoft SQL Server 2005 中的 XML 选项</a>
					<div>
						本文介绍 Visual Studio 2005/SQL Server 2005 环境中用于处理 XML 数据的三个选项,包括使用方案以及指导用户在各选项之间进行选择的指南. 一.System.Xml. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQ4oKz.html" rel="bookmark" class="title">分享外贸网站优化那点事</a>
					<div>
						由于互联网的迅速发展,网购已经成为市民朋友们不可缺少的一部分了,国内的市场经营的很好以后,就会想着要去经营国外市场,自从经济危机以后,外贸站的营销也是越来越难做,那对于一个外贸公司来说,要怎么去优化外 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apXX1vp.html" rel="bookmark" class="title">导航设计与信息架构</a>
					<div>
						大部分时候我们讲导航,讲的是导航对内容和结构的一种表现.就是说我们在讨论导航的时候,更多的去关注怎么与之交互,以及视觉上是怎么好看.但是导航,不仅仅局限于交互方式和视觉形式. 被狭义化的导航 回想一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5lg6M.html" rel="bookmark" class="title">第12次网站秒收主页日记</a>
					<div>
						很多的网络公司,以及个人建站做优化的朋友都会知道,其实关键词有时候是客户定的我们无法给客户换掉关键词的,有的词虽然我们很纠结,但是没办法,只能硬头皮上,还有的是老板啊,领导啊必须要做,虽然我们感觉很扯 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDAYPLb.html" rel="bookmark" class="title">高性能的MySQL（7）Query Cache技术详解</a>
					<div>
						MySQL查询缓存保存查询返回的完整结果.当查询命中该缓存,会立刻返回结果,跳过了解析,优化和执行阶段. 查询缓存会跟踪查询中涉及的每个表,如果这写表发生变化,那么和这个表相关的所有缓存都将失效. 但 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myrv6lp.html" rel="bookmark" class="title">Delphi语言学习5-函数和方法</a>
					<div>
						1.函数的定义 //格式function functionName(parameterList): returnType; directives; localDeclarations;begin st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7218b.html" rel="bookmark" class="title">解决Oracle中Exp&sol;Imp大量数据处理问题</a>
					<div>
						Oracle的exp/imp是许多用户经常使用的两个工具. 它们常被用来做数据库的逻辑备份,数据库重组和数据转移等工作. 先由exp把数据卸出到文件系统, 产生一个.dmp文件, 然后必要时再由imp ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ72a4b.html" rel="bookmark" class="title">Swing之JTable运用线程一个测试</a>
					<div>
						import javax.swing.*; import javax.swing.table.DefaultTableModel; import com.sun.java.swing.plaf.win ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/balkqQz.html" rel="bookmark" class="title">Oracle的高水位线HWM简介</a>
					<div>
						高水位是记录段里能容纳数据的上限,高水位存在段里 全表扫先读段头块,而后在段头块里面找到HWM 下面用实验由内而外来理解Oracle的HWM --t表有一条数据 hr@ORCL&gt; select  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEl0y3z.html" rel="bookmark" class="title">WPS查看PPT文档时按音量键翻页要如何设置</a>
					<div>
						  1)首先先打开WPS Office,进入到PPT文档点击[工具].(如下图)   2)然后点击[查看]再点击[音量键翻页]打开就可以了.(如下图)            注:更多精彩教程请关注三联 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MywaDZz.html" rel="bookmark" class="title">电脑经常卡屏怎么办？</a>
					<div>
						  最近有个朋友问我,电脑经常出现卡屏得情况,偶尔等一会能反映过来,但是也经常反应不过来,直接就卡死了,所以问我是什么原因导致的. 今天我过去上她家看了一下,发现出现问题的时候硬盘灯狂闪,然后卡主不动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My3Zmvz.html" rel="bookmark" class="title">有关四元数的计算问题</a>
					<div>
						问题描述 有关四元数的计算问题 四元数乘以三维向量是如何计算的? 三维向量乘以四元数又是如何计算的? 求四元数乘以三维向量之后的模又应该如何计算? 解决方案 http://www.cnblogs.co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLmxXLz.html" rel="bookmark" class="title">opencl-GPU与CPU同时并行问题</a>
					<div>
						问题描述 GPU与CPU同时并行问题 我现在在用Fortran对一个随机方程进行模拟.需要计算大量的样本,每个样本之间互相独立,并且每个样本返回的值很简单,只有两个浮点值,但每个样本的计算量很大.我现 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGA6deM.html" rel="bookmark" class="title">Go fmt包 翻译 完毕</a>
					<div>
						Fmt包 import &quot;fmt&quot; 简介 ▾ Package fmt包含有格式化I/O函数,类似于C语言的printf和scanf.格式字符串的规则来源于C但更简单一些. 输出 格 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5ZND7z.html" rel="bookmark" class="title">更新了eclipse后，不能输入&ast;（星号）了</a>
					<div>
						问题描述 更新了eclipse后,不能输入*(星号)了 新的eclipse里面有个Help --&gt; Key assist功能,把 shift+8 定义成了快捷键,然后就不能输入星号了= =求救啊 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7xJZdb.html" rel="bookmark" class="title">怎样抓取某带有分页信息时网页数据；</a>
					<div>
						问题描述 如网址:http://huoche.name/TicketList.aspx?tid=&amp;lt=&amp;s=%E5%8C%97%E4%BA%AC&amp;e=%E4%B8%8A%E6 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjwd15M.html" rel="bookmark" class="title">求教存折打印实现原理~</a>
					<div>
						问题描述 如题,现需开发一个存折打印功能,因没有做过,需请教,望CSDN给力网友给点见解,贴点代码大致实现也行~谢谢~ 解决方案 解决方案二:想了解一般存折打印的技术难点在哪里~解决方案三:高手不想露 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLg3DkM.html" rel="bookmark" class="title">gridview或Repeater动态添新行</a>
					<div>
						问题描述 gridview或Repeater动态添新行,行内是DropDownList,点击操作栏内的添加,在下面新增一行并且DropDownList有数据,初次加载和点击添加DropDownList ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoA7xM.html" rel="bookmark" class="title">android模拟器-开发Android用哪个Android模拟器比较好点？</a>
					<div>
						问题描述 开发Android用哪个Android模拟器比较好点? 哪个或者哪些Android模拟器好用啊?本人小白,请各位大神指点... 解决方案 直接买个亲儿子吧.我公司有个测试机是MOTOX 干儿 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwJorWp.html" rel="bookmark" class="title">广东预计明年财政收支紧张机关经费零增长</a>
					<div>
						中新社广州十仲春二十三日电广东省预计明年财政收支形势依然严重,要求牢固树立&quot;过紧日子&quot;思想,大力压缩一般性财政支出:党政机关要继续厉行节约规定,确保明年办公经费预算等方面实现&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mrqrg6b.html" rel="bookmark" class="title">代码中的汉字 为什么能挡住CIA黑客</a>
					<div>
						日前,维基解密爆料,CIA通过恶意软件等网络武器控制大量美国.欧洲等地企业的电子设备及操作系统产品,包括苹果手机.谷歌安卓系统.微软视窗系统和三星智能电视,把它们变成麦克风进行窃听,并将录音传输到中情 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1w8Kb.html" rel="bookmark" class="title">云计算高效、成本低 计算虚拟化和云成本的四种方法</a>
					<div>
						现在,几乎所有的IT行业厂商和分析师都达成了这样一种共识:相比传统计算方式,几乎所有类型的虚拟化解决方案都能提供快速高效.成本节省的优势特性. 根据IDC系统和虚拟化软件集团研究分析师lan Song ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9jDQVp.html" rel="bookmark" class="title">ninject如何使用条件绑定</a>
					<div>
						问题描述 在使用ninject是遇到以下个问题我定义了一个接口,然后有多个类实现了这个接口,当我使用ninject时我怎么根据条件来觉得注入那个类呢? 解决方案 解决方案二:自己顶以下...解决方案三 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8yE6p.html" rel="bookmark" class="title">DataGridViewTextBoxColumn 的显示格式的问题　显示成&amp;amp&semi;amp&semi;quot&semi;999 99 99 999&amp;amp&semi;amp&semi;quot&semi;在线等</a>
					<div>
						问题描述 DataGridViewTextBoxColumn的显示格式的问题 显示成&quot;9999999999&quot;请问要如何处理．只能输入十字数字,每组间要有一个空格. 解决方案 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWdNYmp.html" rel="bookmark" class="title">上海将推行公共事业电子账单</a>
					<div>
						专家呼吁政府出台&quot;限纸令&quot;促普及 IT时报记者 王昕 实习生 邵濛宇 漫画 狐狸蜗牛 从家家户户每月最&quot;逃不开&quot;的三张公用事业账单,水.电.煤开始,上海市经济信 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWJGmM.html" rel="bookmark" class="title">Windows 2008的TS Seesion Broker的检测机制</a>
					<div>
						Windows Server 2008的TS Seesion Broker在以下几个方面做了改进 1.windows server 2008标准版也有TS http://www.aliyun.com/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeLPnwp.html" rel="bookmark" class="title">2014秋C&plus;&plus;第17周 项目2参考 引用作形参</a>
					<div>
						课程主页在http://blog.csdn.net/sxhelijian/article/details/39152703,课程资源在云学堂&quot;贺老师课堂&quot;同步展示,使用的帐号请到课 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPOLA8M.html" rel="bookmark" class="title">浙最大网络非法买卖枪支案被公诉 9人买卖千余枪支</a>
					<div>
						分享到: 正义网浙江2月28电(记者范跃红 通讯员翁简) 今天,浙江省温州市检察院依法向温州市中级法院提起公诉一起特大网络非法买卖枪支案件,涉案9人,涉及买卖枪支共计1000余支,除被警方缴获89支外 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
